This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 530209 - Honor DEFROUTE=yes|no for all connection types
Honor DEFROUTE=yes|no for all connection types
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Jiri Popelka
Fedora Extras Quality Assurance
:
Depends On: 528822
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-21 17:23 EDT by Bill Nottingham
Modified: 2014-03-16 23:20 EDT (History)
5 users (show)

See Also:
Fixed In Version: 4.1.0p1-17.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 528822
Environment:
Last Closed: 2010-01-20 19:06:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2009-10-21 17:23:51 EDT
+++ This bug was initially created as a clone of Bug #528822 +++

There are various problems with GATEWAYDEV, specifically that it uses device names, and there's no way to sanely modify it from a GUI if the device you'd like to set as the gateway dev isn't plugged in, you don't have persistent device names, etc.  We shouldn't be requiring the user to type in a freeform text field what device name to use here.  Plus, if the NM connection you are editing isn't locked to a device, we dont' know the device name to use, since it's a per-connection setting and not global like GATEWAYDEV is.

So, the proposal is to expand usage of DEFROUTE in the ifcfg files.  If DEFROUTE=no, then 'ifup' for that ifcfg should not touch the default route.  That's done for PPP apparently, but not for the other device types.

NM will write out DEFROUTE to the ifcfg file based on the "Only use this connection for resources on its network" checkbox, and leave GATEWAYDEV alone.  NM will still honor GATEWAYDEV when its set though.

--- Additional comment from dcbw@redhat.com on 2009-10-13 17:13:51 EDT ---

See https://bugzilla.redhat.com/show_bug.cgi?id=528281 for the NM side of this.

--- Additional comment from notting@redhat.com on 2009-10-14 16:51:09 EDT ---

The assumption is that no DEFROUTE implies DEFROUTE=yes, correct?

--- Additional comment from dcbw@redhat.com on 2009-10-15 11:31:03 EDT ---

(In reply to comment #2)
> The assumption is that no DEFROUTE implies DEFROUTE=yes, correct?  

Yes; that should be how it currently works in initscripts, and how NetworkManager works as well.

Obviously if DEFROUTE=yes for ifcfg-eth2 but GATEWAYDEV=eth0, then eth2 still doesn't get the default route.

--- Additional comment from notting@redhat.com on 2009-10-21 17:19:27 EDT ---

http://git.fedorahosted.org/git/?p=initscripts.git;a=commitdiff;h=a23c3828e092315e71ba4d5e6befc060a4f2c07a

Will be in 9.02-1.
Comment 1 Bill Nottingham 2009-10-21 17:24:09 EDT
The idea is that /sbin/dhclient-script would need a similar tweak.
Comment 2 Bug Zapper 2009-11-16 09:00:05 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jiri Popelka 2009-11-23 04:23:52 EST
http://cvs.fedoraproject.org/viewvc/rpms/dhcp/F-12/dhclient-script?r1=1.15&r2=1.16

Will be in dhcp-4.1.0p1-14.
Comment 4 Fedora Update System 2009-11-23 04:46:00 EST
dhcp-4.1.0p1-14.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/dhcp-4.1.0p1-14.fc12
Comment 5 Fedora Update System 2009-11-25 10:00:49 EST
dhcp-4.1.0p1-14.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dhcp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12048
Comment 6 Fedora Update System 2009-12-15 20:19:34 EST
dhcp-4.1.0p1-15.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dhcp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12048
Comment 7 Fedora Update System 2010-01-16 21:53:04 EST
dhcp-4.1.0p1-16.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dhcp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12048
Comment 8 Fedora Update System 2010-01-18 19:56:17 EST
dhcp-4.1.0p1-17.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dhcp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12048
Comment 9 Fedora Update System 2010-01-20 19:05:52 EST
dhcp-4.1.0p1-17.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.